<template>
  <div>
    <TheHeader />
    <nuxt></nuxt>
    <TheFooter />
  </div>
</template>

<script>
import { debounce } from '~/plugins/helpers'

export default {
  name: 'LayoutDefault',
  components: {
    TheHeader: () => import('~/components/layout-default/TheHeader'),
    TheFooter: () => import('~/components/layout-default/TheFooter')
  },
  beforeMount() {
    window.innerWidth < 768
      ? this.$store.commit('SET_IS_MOBILE', true)
      : this.$store.commit('SET_IS_MOBILE', false)
  },
  mounted() {
    this.$nextTick(() => {
      window.addEventListener('resize', debounce(this.checkResponsive, 300))
    })
  },
  destroyed() {
    window.removeEventListener('resize', this.checkResponsive)
  },
  methods: {
    checkResponsive() {
      if (window.innerWidth < 768) {
        this.$store.commit('SET_IS_MOBILE', true)
      } else {
        this.$store.commit('SET_IS_MOBILE', false)
      }
    }
  }
}
</script>
